import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ServiceTitle extends StatefulWidget {
  final String? title;
  final String? subTitle;

  const ServiceTitle({Key? key, this.title, this.subTitle}) : super(key: key);

  @override
  _ServiceTitleState createState() => _ServiceTitleState();
}

class _ServiceTitleState extends State<ServiceTitle> {
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          AppText(
            widget.title!,
            color: Color(0xff2E303A),
            fontSize: 12.0,
            letterSpacing: -0.72,
            fontWeight: FontWeight.w600,
            fontHeight: 1.0,
          ),
          AppText(
            widget.subTitle!,
            color: Color(0xff2E303A),
            fontSize: 24,
            fontWeight: FontWeight.w700,
            letterSpacing: -1.44,
            fontHeight: 1.0,
          ),
        ],
      ),
    );
  }
}
